#include "SceneItem.h"

SceneItem::SceneItem()
{

}

const Color& SceneItem::getColor() const
{
    return mUniformColor;
}

const Transform& SceneItem::getTransform() const
{
    return mTransform;
}

bool SceneItem::isVisible() const
{
    return mIsVisible;
}


void SceneItem::setIsVisible(bool isVisible)
{
    mIsVisible = isVisible;
}

void SceneItem::updateUniformColor(const Color& color)
{
    if (mUniformColor != color)
    {
        mColorIsDirty = true;
        mUniformColor = color;
    }
}

void SceneItem::updateTransform(const Transform& transform)
{
    if (mTransform != transform)
    {
        mTransformIsDirty = true;
        mTransform = transform;
    }
}
